#   Copyright (c) 2009, 2011, Oracle and/or its affiliates. All rights reserved.
%include Solaris.inc 

%define src_name cmdassist

Summary:	Command Assistant
#SUNW_BaseDir:   %{_basedir}
SUNW_BaseDir:   /usr
Name:		SUNWcmdassist
Version: 	2.0
Release:	1
License: 	%{src_name}.copyright
IPS_Package_Name:	gnome/cmdassist
IPS_Component_Version:	%{ipscompverdefault}
Meta(info.classification):	%{ipsclass_gnome_doc}
Source: 	%{src_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{src_name}-%{version}-build
SUNW_Copyright:	%{src_name}.copyright

Requires: SUNWgnome-libs
Requires: SUNWgnome-vfs
Requires: SUNWgnome-panel
Requires: SUNWgnome-config
Requires: SUNWlibpopt
Requires: SUNWgnome-component


Meta(pkg.description): "The purpose of this project is to provide better user experience for Oracle managed contents."

%prep
%setup -q -n %{src_name}

%build
export CXX="${CXX} -norunpath"
#export CFLAGS="%optflags"
export CFLAGS="-O2 "
export CXXFLAGS="%cxx_optflags"
./autogen.sh --prefix=%{_prefix}              
make

%install
rm -rf ${RPM_BUILD_ROOT}
DESTDIR=${RPM_BUILD_ROOT} make install
find ${RPM_BUILD_ROOT} -name "*.a" -exec rm  {} \; -print
find ${RPM_BUILD_ROOT} -name "*.la" -exec rm {} \; -print

echo "base dir %{_basedir}"

%{?pkgbuild_postprocess: %pkgbuild_postprocess -v -c "%{version}:%{jds_version}:%{name}:$RPM_ARCH:%(date +%%Y-%%m-%%d):%{support_level}" $RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-, root, bin)
%{_libdir}/*
%dir %attr (0755, root, sys) %{_datadir}
%attr (0755, root, other) %{_datadir}/locale
%attr (0755, root, other) %{_datadir}/pixmaps
%attr (0755, root, bin) %{_datadir}/omf
%dir %attr (0755, root, other) %{_datadir}/gnome
%attr (0755, root, bin) %{_datadir}/gnome/help
#%{_datadir}/*
