/*
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
*/

/*
#
# Copyright (c) 2010, 2011, Oracle and/or its affiliates. All rights reserved.
# Use is subject to license terms.
#
*/

#ifndef __COMMON_H__
#define __COMMON_H__

#include <gtk/gtk.h>

void show_error_dialog  (GtkWindow   *parent,
		const gchar *message,
		const gchar *detail);

#define HELP_URL "http://hub.opensolaris.org/bin/view/Project+commandassist/WebHome"

//#define DEBUG

#ifdef DEBUG
	#define debug_printf(...) printf(__VA_ARGS__)
#else
	#define debug_printf(...) 
#endif /* DEBUG */

#endif /* __COMMON_H__ */
