/*
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
*/

/*
#
# Copyright (c) 2010. Oracle and/or its affiliates. All rights reserved.
# Use is subject to license terms.
#
*/

#include <gtk/gtk.h>
#include <glib/gi18n.h>
#include <locale.h>
#include "../config.h"

extern GtkWidget *main_panel;

int main(int argc, char *argv[]) {

        setlocale(LC_ALL,"");
        bindtextdomain (GETTEXT_PACKAGE, CMDASSIST_LOCALEDIR);
        bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
        textdomain (GETTEXT_PACKAGE);

	gtk_init(&argc, &argv);

	if(main_panel == NULL ) { 
		main_panel = create_window();
		gtk_widget_show_all(main_panel);
	}


	gtk_main();

	return 0;
}
